package com.isu.gaswellwatch.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.isu.gaswellwatch.entity.RemindRecord;
import com.isu.gaswellwatch.entity.RemindSetting;
import com.isu.gaswellwatch.entity.RoleMenu;
import com.isu.gaswellwatch.vo.RemindRecordVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface RemindDao extends BaseMapper<RemindRecord> {

    List<RemindSetting> getAllRemindSetting();

    Page<RemindRecordVO> page(Page<Object> page,
                              @Param("deviceId")Long deviceId,
                              @Param("startTime")String startTime,
                              @Param("endTime")String endTime,
                              @Param("gasWellName")String gasWellName);
}

